5

(I have tried to follow the instructions from here. I cannot use Anaconda)

sudo apt-get install spyder3

installs 150MB of goodies. Then, I do:

pip install -U spyder

Then I do

spyder3

and I get:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/spyder/utils/external/lockfile.py", line 150, in lock
    symlink(str(os.getpid()), self.name)
FileExistsError: [Errno 17] File exists: '4809' -> '/home/me/.config/spyder-py3/spyder.lock'## Heading ##

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/spyder/utils/external/lockfile.py", line 177, in lock
    kill(int(pid), 0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/spyder/app/start.py", line 118, in main
    lock_created = lock.lock()
  File "/usr/local/lib/python3.6/dist-packages/spyder/utils/external/lockfile.py", line 196, in lock
    rmlink(self.name)
PermissionError: [Errno 13] Permission denied: '/home/me/.config/spyder-py3/spyder.lock'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/qtpy/__init__.py", line 148, in <module>
    from PySide import __version__ as PYSIDE_VERSION  # analysis:ignore
ModuleNotFoundError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/spyder3", line 11, in <module>
    sys.exit(main())
  File "/usr/local/lib/python3.6/dist-packages/spyder/app/start.py", line 138, in main
    from spyder.app import mainwindow
  File "/usr/local/lib/python3.6/dist-packages/spyder/app/mainwindow.py", line 49, in <module>
    requirements.check_qt()
  File "/usr/local/lib/python3.6/dist-packages/spyder/requirements.py", line 39, in check_qt
    import qtpy
  File "/usr/local/lib/python3.6/dist-packages/qtpy/__init__.py", line 154, in <module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 23, in <module>
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 23, in <module>
    import apt_pkg
ModuleNotFoundError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/spyder/utils/external/lockfile.py", line 150, in lock
    symlink(str(os.getpid()), self.name)
FileExistsError: [Errno 17] File exists: '4809' -> '/home/me/.config/spyder-py3/spyder.lock'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/spyder/utils/external/lockfile.py", line 177, in lock
    kill(int(pid), 0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/spyder/app/start.py", line 118, in main
    lock_created = lock.lock()
  File "/usr/local/lib/python3.6/dist-packages/spyder/utils/external/lockfile.py", line 196, in lock
    rmlink(self.name)
PermissionError: [Errno 13] Permission denied: '/home/me/.config/spyder-py3/spyder.lock'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/qtpy/__init__.py", line 148, in <module>
    from PySide import __version__ as PYSIDE_VERSION  # analysis:ignore
ModuleNotFoundError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/spyder3", line 11, in <module>
    sys.exit(main())
  File "/usr/local/lib/python3.6/dist-packages/spyder/app/start.py", line 138, in main
    from spyder.app import mainwindow
  File "/usr/local/lib/python3.6/dist-packages/spyder/app/mainwindow.py", line 49, in <module>
    requirements.check_qt()
  File "/usr/local/lib/python3.6/dist-packages/spyder/requirements.py", line 39, in check_qt
    import qtpy
  File "/usr/local/lib/python3.6/dist-packages/qtpy/__init__.py", line 154, in <module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found
4
+100

After trial and error I can suggest the following:

sudo apt-get install python3-pip python3-pyqt4 \
                     python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebkit
sudo pip3 install -U spyder

The result: you have Spyder3 installed and its About Spyder window contains

Spyder 3.2.4
...
Python 3.5.2 64bits, Qt 5.5.1, PyQt5 5.5.1 on Linux

Tested on clean Ubuntu 16.04.3 LTS amd64 install.

  • 1
    I removed my previous complicated answer. And wrote this, simple and straightforward one. – N0rbert Nov 2 '17 at 16:47
  • 1
    Indeed. Thanks! I will try it on a clean install of ubuntu this week end (on this one it still doesn't work). Will reward the bounty asap. Thanks! – user2413 Nov 2 '17 at 19:57
  • mmh. I doesn't work for me. I get The program 'spyder' is currently not installed. You can install it by typing: sudo apt install spyder. Yea: you have to type spyder3 – user2413 Nov 5 '17 at 22:36
  • 1
    Thanks for your answer (as per the site rules, i need to wait 24 hours before I can send the bounty your way) – user2413 Nov 6 '17 at 10:14

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.